SPA Form Configurations
SPA: Updates an Input Mask
Updates an existing form configuration.
/api/spa/form_configurations/{id}Authorizations
Value for the X-AUTH-TOKEN header parameter.
Path Parameters
FormConfiguration identifier
Request Body
The updated FormConfiguration resource
{
"id": 123,
"templateIdentifier": ".",
"description": "",
"comment": "",
"configuration": [
"string"
],
"createdBy": "user1@company.com",
"updatedBy": "user1@company.com",
"createdAt": "2024-08-23T00:00:00+00:00",
"updatedAt": "2024-08-23T00:00:00+00:00",
"subClient": {},
"active": true,
"activeFrom": "2024-01-01",
"versionGroup": "123e4567-e89b-12d3-a456-426614174000",
"versionNumber": 1,
"supersededAt": "2024-08-23T00:00:00+00:00",
"changeSummaryDe": "string",
"changeSummaryEn": "string",
"summaryStatus": "pending",
"subClientDefault": false,
"subClientId": 3,
"subClientDescription": "Branch Office A",
"subClientColor": "#083E5D"
}Response
FormConfiguration resource updated
User, created this entry
User, updated this entry
UTC date time of entry creation
UTC date time of last entry update
Active flag. Default: true
Date to activate the entry. Default: today
Immutable lineage key shared by all versions of this configuration entry.
Monotonic version counter within the version group. Display/audit only, not part of resolution.
Moment from which this version is superseded by a newer version of the same version group. Null while the version is (or is scheduled to become) the current one.
AI generated German summary of the changes introduced by this version.
AI generated English summary of the changes introduced by this version.
Generation status of the AI change summary.
Default for environmental tenants (sub-clients)
SubClient ID. Provided on instances with enabled sub-client module only.
SubClient description. Provided on instances with enabled sub-client module only.
SubClient display colour. Provided on instances with enabled sub-client module only.